Bug 1156518 (CVE-2014-8369) - CVE-2014-8369 kernel: kvm: excessive pages un-pinning in kvm_iommu_map error path
Summary: CVE-2014-8369 kernel: kvm: excessive pages un-pinning in kvm_iommu_map error ...
Status: CLOSED ERRATA
Alias: CVE-2014-8369
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141024,repor...
Keywords: Security
Depends On: 1156520 1156521 1156522
Blocks: 1156525
TreeView+ depends on / blocked
 
Reported: 2014-10-24 15:41 UTC by Petr Matousek
Modified: 2016-09-26 03:33 UTC (History)
41 users (show)

(edit)
It was found that the fix for CVE-2014-3601 was incomplete: the Linux kernel's kvm_iommu_map_pages() function still handled IOMMU mapping failures incorrectly. A privileged user in a guest with an assigned host device could use this flaw to crash the host.
Clone Of:
(edit)
Last Closed: 2016-09-26 03:33:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0674 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-03-11 19:27:24 UTC

Description Petr Matousek 2014-10-24 15:41:06 UTC
A flaw was found in the way iommu mapping failures were handled in
kvm_iommu_map_pages() function in the Linux kernel (introduced by the fix
for CVE-2014-3601).

A privileged user in the guest could use this flaw to crash the host in case
the guest has access to passed in device.

Introduced by:
http://git.kernel.org/cgit/virt/kvm/kvm.git/commit/?id=350b8bdd689cd2ab2c67c8a86a0be86cfa0751a7

Upstream patch:
http://git.kernel.org/cgit/virt/kvm/kvm.git/commit/?id=3d32e4dbe71374a6780eaf51d719d76f9a9bf22f

Comment 1 Petr Matousek 2014-10-24 15:41:45 UTC
Statement:

This issue did not affect the Linux kernel versions as shipped with Red Hat Enterprise Linux 5, 7 and Red Hat Enterprise MRG 2. Future Linux kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 3 Petr Matousek 2014-10-24 15:42:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1156522]

Comment 4 Fedora Update System 2014-10-28 06:44:33 UTC
kernel-3.16.6-203.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-03 05:22:42 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-16 14:46:16 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-03-11 15:27:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0674 https://rhn.redhat.com/errata/RHSA-2015-0674.html


Note You need to log in before you can comment on or make changes to this bug.